Module | FFI::Library
In: | lib/ffi/library.rb

### Methods

attach_function attach_variable callback enum enum_type enum_value extended ffi_convention ffi_lib ffi_libraries find_type typedef

### Constants

CURRENT_PROCESS | = | FFI::CURRENT_PROCESS
LIBC | = | FFI::Platform::LIBC

### Public Class methods

extended(mod)

### Public Instance methods

attach_function(mname, a3, a4, a5=nil)

Attach C function `name` to this module.

If you want to provide an alternate name for the module function, supply it after the `name`, otherwise the C function name will be used.#

After the `name`, the C function argument types are provided as an Array.

The C function return type is provided last.

attach_variable(mname, a1, a2 = nil)
callback(*args)
enum(*args)
enum_type(name)
enum_value(symbol)
ffi_convention(convention)
ffi_lib(*names)
ffi_libraries()
find_type(name)
typedef(current, add, info=nil)

[Validate]